Summary: PHP todo list manager
Name: phpTodo
Version: 0.8.1
Release: 0.9.beta%{?dist}
License: GPLv2+
URL: http://phptodo.godshell.com/
Group: Applications/Internet
Source0: http://downloads.sourceforge.net/phptodo/%{name}-%{version}beta.tar.gz
Source1: phpTodo.httpd.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: phpTodo-0.8.1beta.patch
BuildArch: noarch
BuildRequires: gettext
Requires: httpd
Requires: php-Smarty
Requires: php-mysql
Requires(post): policycoreutils
Requires(postun): policycoreutils
# to make sure the "apache" group is created before phpTodo is installed

%description
The general idea behind this program is to keep all of your todo lists in
one central location.  I've grown very tired of having lists all over the
place and being unable to reconcile them...

%prep
%setup -qn %{name}-%{version}beta
%patch1 -p1
sed -i -r "s|##DOCLOCATION##|%{_datadir}/doc/%{name}-%{version}|g" sample_config.php
# Rearrange the documentation
cp sample_config.php doc/
chmod 755 doc/selenium
chmod 755 doc/sql
chmod 755 libs
chmod 755 templates
chmod 755 css
chmod 755 images


%install
rm -rf %{buildroot}
mkdir -p -m0755 %{buildroot}%{_sysconfdir}/phpTodo
mkdir -p -m0755 %{buildroot}%{_localstatedir}/cache/phpTodo
mkdir -p -m0755 %{buildroot}%{_localstatedir}/cache/phpTodo/templates_c
mkdir -p -m0755 %{buildroot}%{_localstatedir}/cache/phpTodo/cache
mkdir -p -m0755 %{buildroot}%{_localstatedir}/cache/phpTodo/config
mkdir -p -m0755 %{buildroot}%{_datadir}/phpTodo
mv sample_config.php config.php
install -m 0644 config.php %{buildroot}%{_sysconfdir}/phpTodo/
ln -s ../../../..%{_sysconfdir}/phpTodo/config.php \
    %{buildroot}%{_datadir}/phpTodo/config.php
install -m 0644 index.php %{buildroot}%{_datadir}/phpTodo/
install -m 0644 about.php %{buildroot}%{_datadir}/phpTodo/
install -m 0644 datetimepicker.js %{buildroot}%{_datadir}/phpTodo/
install -m 0644 feed.php %{buildroot}%{_datadir}/phpTodo/
install -m 0644 logout.php %{buildroot}%{_datadir}/phpTodo/
install -m 0644 prefs.js %{buildroot}%{_datadir}/phpTodo/
install -m 0644 prefs.php %{buildroot}%{_datadir}/phpTodo/
install -m 0644 taskedit.js %{buildroot}%{_datadir}/phpTodo/
install -m 0644 taskmodify.php %{buildroot}%{_datadir}/phpTodo/
install -m 0644 todolist.js %{buildroot}%{_datadir}/phpTodo/
install -m 0644 todolist.php %{buildroot}%{_datadir}/phpTodo/
install -m 0644 users.js %{buildroot}%{_datadir}/phpTodo/
install -m 0644 users.php %{buildroot}%{_datadir}/phpTodo/
for d in css images libs templates; do
    cp -rp $d %{buildroot}%{_datadir}/phpTodo/
done

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/phpTodo.conf


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc doc/*
%config %dir %{_sysconfdir}/phpTodo
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/phpTodo/*.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/phpTodo.conf
%attr(0700, apache, apache) %dir %{_localstatedir}/cache/phpTodo
%attr(0700, apache, apache) %dir %{_localstatedir}/cache/phpTodo/templates_c
%attr(0700, apache, apache) %dir %{_localstatedir}/cache/phpTodo/cache
%attr(0700, apache, apache) %dir %{_localstatedir}/cache/phpTodo/config
%{_datadir}/phpTodo


%post
# SELinux probably needs work.
# Set SELinux file context in the policy
semanage fcontext -a -t httpd_sys_content_t '%{_datadir}/phpTodo(/.*)?' 2>/dev/null || :
semanage fcontext -a -t httpd_sys_content_t '%{_sysconfdir}/phpTodo(/.*)?' 2>/dev/null || :
semanage fcontext -a -t httpd_sys_content_t '%{_localstatedir}/cache/phpTodo(/.*)?' 2>/dev/null || :
# Actually change the context
restorecon -R %{_datadir}/phpTodo/ || :
restorecon -R %{_sysconfdir}/phpTodo/ || :
restorecon -R %{_localstatedir}/cache/phpTodo/ || :


%postun
# SELinux support
if [ $1 -eq 0 ]; then  # final removal
  semanage fcontext -d -t httpd_sys_content_t '%{_datadir}/phpTodo(/.*)?' 2>/dev/null || :
  semanage fcontext -d -t httpd_sys_content_t '%{_sysconfdir}/phpTodo(/.*)?' 2>/dev/null || :
  semanage fcontext -d -t httpd_sys_content_t '%{_localstatedir}/cache/phpTodo(/.*)?' 2>/dev/null || :
fi


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-0.9.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 22 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.8.1-0.8.beta%{?dist}
- SELinux changes
- Improved initial mysql schema

* Thu Sep 20 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.8.1-0.7.beta%{?dist}
- Updated location of Smarty for F7 rpm
- Added more useful message to be displayed when user has not configured
- or setup database before using phpTodo.

* Mon Aug 13 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.8.1-0.6.beta%{?dist}
- Updated license field re new guidelines

* Sun Jun 17 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.8.1-0.5.beta
- sourceforge mirror changed to downloads.sourceforge.net

* Tue Jun 05 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.8.1-0.4.beta
- SELinux post section added

* Tue May 29 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.8.1-0.3.beta
- Cleanup of SPEC file

* Sat Apr 28 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.8.1-0.2.beta
- Cleanup of SPEC file

* Thu Apr 10 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.8.1-0.1.beta
- Initial release
